Subject: Re: [alto] WGLC for draft-ietf-alto-server-discovery-06

From: Sebastian Kiesel <[email-masked]>
Date: Thu, 17 Jan 2013 11:32:02 +0100

Hi Richard,

this comment from you was the only non-editorial comment we received
during WGLC:

On Wed, Dec 12, 2012 at 01:57:10PM -0500, Y. Richard Yang wrote:
> I read the document and think it is ready. Here are some minor comments:

...

> - Sec. 3.2: for the U-NAPTR example, I am not an expert on U-NAPTR, but
> here is an example from rfc2915:
> 
>      www.foo.com.
>      ;;       order pref flags   service  regexp     replacement
>       IN NAPTR 100  100  "s"   "http+I2R"   ""    _http._tcp.foo.com.
>       IN NAPTR 100  100  "s"   "ftp+I2R"    ""    _ftp._tcp.foo.com.
> 
> 
> Hence, for the examples in Sec. 3.2, does it make sense to follow the same,
> e.g., instead of ALTO:http, but http+ALTO? Also, I am not sure, for the
> example, return is "". Again, I am not an expert on the subject, and hence,
> my question may be misunderstanding or my lacking of background.

RFC 2915 defines the NAPTR RR, but as stated in sec. 3.2 of our draft,
we are using U-NAPTR per RFC 4848.  We believe that our specification
follows the rules and also the spirit of RFC 4848, but maybe you want
to chack again?

Thanks
Sebastian